_UserTransactionServer_Stub (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Class _UserTransactionServer_Stub

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA_2_3.portable.ObjectImpl
    - - javax.rmi.CORBA.Stub
      - - com.atomikos.icatch.jta._UserTransactionServer_Stub

- All Implemented Interfaces:
    UserTransactionServer, java.io.Serializable, java.rmi.Remote, org.omg.CORBA.Object

      public class _UserTransactionServer_Stub
      extends javax.rmi.CORBA.Stub
      implements UserTransactionServer

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `_UserTransactionServer_Stub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `_ids()`
    `java.lang.String` | `begin(int arg0)` Create a new transaction.
    `void` | `commit(java.lang.String arg0)` Commit the transaction.
    `int` | `getStatus(java.lang.String arg0)` Get the status of the transaction.
    `void` | `rollback(java.lang.String arg0)` Rollback the transaction.
    `void` | `setRollbackOnly(java.lang.String arg0)` Mark the transaction for rollback only.

    - ### Methods inherited from class javax.rmi.CORBA.Stub

      `connect, equals, hashCode, toString`

    - ### Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl

      `_get_codebase`

    - ### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### _UserTransactionServer_Stub

          public _UserTransactionServer_Stub()

  - ### Method Detail

    - #### _ids

          public java.lang.String[] _ids()

      Specified by:
        `_ids` in class `org.omg.CORBA.portable.ObjectImpl`

    - #### begin

          public java.lang.String begin(int arg0)
                                 throws java.rmi.RemoteException,
                                        javax.transaction.SystemException,
                                        javax.transaction.NotSupportedException

      Description copied from interface: `UserTransactionServer`
      Create a new transaction.
      Specified by:
        `begin` in interface `UserTransactionServer`
      Parameters:
        `arg0` - The timeout setting of the client UserTx.
      Returns:
        String The tid of the transaction.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`
        `javax.transaction.NotSupportedException`

    - #### commit

          public void commit(java.lang.String arg0)
                      throws java.rmi.RemoteException,
                             javax.transaction.RollbackException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Commit the transaction.
      Specified by:
        `commit` in interface `UserTransactionServer`
      Parameters:
        `arg0` - The tid of the tx to commit.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.RollbackException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `javax.transaction.SystemException`

    - #### rollback

          public void rollback(java.lang.String arg0)
                        throws java.rmi.RemoteException,
                               javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Rollback the transaction.
      Specified by:
        `rollback` in interface `UserTransactionServer`
      Parameters:
        `arg0` - The tid of the transaction to rollback.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

    - #### setRollbackOnly

          public void setRollbackOnly(java.lang.String arg0)
                               throws java.rmi.RemoteException,
                                      javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Mark the transaction for rollback only.
      Specified by:
        `setRollbackOnly` in interface `UserTransactionServer`
      Parameters:
        `arg0` - The tid of the transaction to mark.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

    - #### getStatus

          public int getStatus(java.lang.String arg0)
                        throws java.rmi.RemoteException,
                               javax.transaction.SystemException

      Description copied from interface: `UserTransactionServer`
      Get the status of the transaction.
      Specified by:
        `getStatus` in interface `UserTransactionServer`
      Parameters:
        `arg0` - The tid.
      Returns:
        int The status, as defined in JTA.
      Throws:
        `java.rmi.RemoteException`
        `javax.transaction.SystemException`

Copyright © 2018. All Rights Reserved.